# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88.0"
name = "slumber_tui"
version = "4.0.0"
authors = ["Lucas Pickering <lucas@lucaspickering.me>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Terminal user interface for Slumber. Not intended for external use."
homepage = "https://slumber.lucaspickering.me"
readme = false
keywords = [
    "rest",
    "http",
    "terminal",
    "tui",
]
license = "MIT"
repository = "https://github.com/LucasPickering/slumber"

[package.metadata.release]
tag = false

[lib]
name = "slumber_tui"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.0"

[dependencies.async-trait]
version = "0.1.81"

[dependencies.bytes]
version = "1.6.1"
default-features = false

[dependencies.chrono]
version = "0.4.31"
default-features = false

[dependencies.crossterm]
version = "0.29.0"
features = [
    "bracketed-paste",
    "events",
    "event-stream",
    "osc52",
    "windows",
]
default-features = false

[dependencies.derive_more]
version = "1.0.0"
features = [
    "debug",
    "deref",
    "deref_mut",
    "display",
    "from",
]
default-features = false

[dependencies.futures]
version = "0.3.28"

[dependencies.indexmap]
version = "2.0.0"
default-features = false

[dependencies.itertools]
version = "0.13.0"

[dependencies.mime]
version = "0.3.17"

[dependencies.notify]
version = "8.0.0"
features = ["macos_kqueue"]
default-features = false

[dependencies.notify-debouncer-full]
version = "0.5.0"
default-features = false

[dependencies.persisted]
version = "1.0.0"

[dependencies.ratatui]
version = "0.30.0-alpha.5"
features = [
    "crossterm",
    "underline-color",
    "unstable-widget-ref",
]
default-features = false

[dependencies.reqwest]
version = "0.12.5"
default-features = false

[dependencies.serde]
version = "1.0.204"
default-features = false

[dependencies.serde_json]
version = "1.0.120"
features = ["preserve_order"]
default-features = false

[dependencies.shell-words]
version = "1.1.0"

[dependencies.slumber_config]
version = "4.0.0"

[dependencies.slumber_core]
version = "4.0.0"

[dependencies.slumber_template]
version = "4.0.0"

[dependencies.slumber_util]
version = "4.0.0"

[dependencies.strum]
version = "0.26.3"
default-features = false

[dependencies.terminput]
version = "0.5.3"

[dependencies.terminput-crossterm]
version = "0.3.3"

[dependencies.tokio]
version = "1.39.2"
features = [
    "macros",
    "signal",
    "tracing",
]
default-features = false

[dependencies.tokio-util]
version = "0.7.13"

[dependencies.tracing]
version = "0.1.40"

[dependencies.tree-sitter-highlight]
version = "0.25.4"

[dependencies.tree-sitter-json]
version = "0.24.8"

[dependencies.unicode-width]
version = "0.1.13"

[dependencies.uuid]
version = "1.10.0"
default-features = false

[dev-dependencies.pretty_assertions]
version = "1.4.0"

[dev-dependencies.rstest]
version = "0.24.0"
default-features = false

[dev-dependencies.slumber_core]
version = "4.0.0"
features = ["test"]

[dev-dependencies.wiremock]
version = "0.6.1"
default-features = false

[lints.clippy]
allow_attributes = "deny"
cast_possible_truncation = "allow"
cast_possible_wrap = "allow"
cast_precision_loss = "allow"
cast_sign_loss = "allow"
dbg_macro = "warn"
default_trait_access = "allow"
doc_markdown = "allow"
explicit_deref_methods = "allow"
large_enum_variant = "allow"
map_unwrap_or = "allow"
match_same_arms = "allow"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
must_use_candidate = "allow"
needless_pass_by_value = "allow"
similar_names = "allow"
too_many_lines = "allow"
unused_self = "allow"
used_underscore_binding = "allow"

[lints.clippy.all]
level = "deny"
priority = -1

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.rust]
async_fn_in_trait = "allow"
unsafe_code = "forbid"
